<template>
  <a-select v-bind="getBindValue" :options="options"> </a-select>
</template>

<script lang="ts" setup>
import { SelectOptionData } from '@arco-design/web-vue/es/select/interface'
import { computed, useAttrs, PropType } from 'vue'

const props = defineProps({
  options: {
    type: Array as PropType<SelectOptionData[]>,
    default: () => []
  },
  placeholder: {
    type: String
  },
  readyonly: {
    type: Boolean,
    default: () => false
  }
})
const getBindValue = computed(() => {
  const attrs = useAttrs()
  const obj = { ...attrs, ...props }
  return obj
})
</script>
